Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981446 - [abrt] transmission-gtk-2.77-1.fc18: __strlen_sse2_pminub: Process /usr/bin/transmission-gtk was killed by signal 11 (SIGSEGV)
Summary: [abrt] transmission-gtk-2.77-1.fc18: __strlen_sse2_pminub: Process /usr/bin/t...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: transmission
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a8a7e6df3404894c37edcbeaff0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-04 18:03 UTC by alexmv
Modified: 2014-02-05 22:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:03:54 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-04 18:03 UTC, alexmv
no flags Details
File: cgroup (deleted)
2013-07-04 18:03 UTC, alexmv
no flags Details
File: core_backtrace (deleted)
2013-07-04 18:03 UTC, alexmv
no flags Details
File: dso_list (deleted)
2013-07-04 18:03 UTC, alexmv
no flags Details
File: environ (deleted)
2013-07-04 18:03 UTC, alexmv
no flags Details
File: limits (deleted)
2013-07-04 18:03 UTC, alexmv
no flags Details
File: maps (deleted)
2013-07-04 18:03 UTC, alexmv
no flags Details
File: open_fds (deleted)
2013-07-04 18:03 UTC, alexmv
no flags Details
File: proc_pid_status (deleted)
2013-07-04 18:03 UTC, alexmv
no flags Details
File: xsession_errors (deleted)
2013-07-04 18:03 UTC, alexmv
no flags Details

Description alexmv 2013-07-04 18:03:13 UTC
Description of problem:
The process hung when I tried to quit it. I then sent it SIGTERM and then it crashed with SIGSEGV,

Version-Release number of selected component:
transmission-gtk-2.77-1.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        transmission-gtk /home/alex/Downloads/Fedora-Live-MATE-Compiz-x86_64-19.torrent
crash_function: __strlen_sse2_pminub
executable:     /usr/bin/transmission-gtk
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul  4 10:34:21 alex abrt[30656]: Saved core dump of pid 9959 (/usr/bin/transmission-gtk) to /var/tmp/abrt/ccpp-2013-07-04-10:34:20-9959 (113053696 bytes)

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 __strlen_sse2_pminub at ../sysdeps/x86_64/multiarch/strlen-sse2-pminub.S:38
 #1 tr_bencInitStr at bencode.c:617
 #2 tr_bencDictAddStr at bencode.c:838
 #3 tr_sessionGetSettings at session.c:418
 #4 tr_sessionSaveSettings at session.c:514
 #5 gtr_core_close at tr-core.c:878
 #6 session_close_threadfunc at main.c:915
 #7 g_thread_proxy at gthread.c:797

Comment 1 alexmv 2013-07-04 18:03:17 UTC
Created attachment 768940 [details]
File: backtrace

Comment 2 alexmv 2013-07-04 18:03:20 UTC
Created attachment 768941 [details]
File: cgroup

Comment 3 alexmv 2013-07-04 18:03:24 UTC
Created attachment 768942 [details]
File: core_backtrace

Comment 4 alexmv 2013-07-04 18:03:27 UTC
Created attachment 768943 [details]
File: dso_list

Comment 5 alexmv 2013-07-04 18:03:30 UTC
Created attachment 768944 [details]
File: environ

Comment 6 alexmv 2013-07-04 18:03:33 UTC
Created attachment 768945 [details]
File: limits

Comment 7 alexmv 2013-07-04 18:03:37 UTC
Created attachment 768946 [details]
File: maps

Comment 8 alexmv 2013-07-04 18:03:40 UTC
Created attachment 768947 [details]
File: open_fds

Comment 9 alexmv 2013-07-04 18:03:43 UTC
Created attachment 768948 [details]
File: proc_pid_status

Comment 10 alexmv 2013-07-04 18:03:46 UTC
Created attachment 768949 [details]
File: xsession_errors

Comment 11 Fedora End Of Life 2013-12-21 14:14:35 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2014-02-05 22:03:54 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.